Subject: Re: bug#15690: [platform-testers] new snapshot available: grep-2.14.51-7a35

From: Dagobert Michelsen <[email-masked]>
Date: Wed, 23 Oct 2013 10:20:47 +0200

Hi Paul,

Am 23.10.2013 um 10:14 schrieb Paul Eggert <[email-masked]>:
> Thanks for the quick feedback.  Some comments:
> 
> Dagobert Michelsen wrote:
>> 
>> I just tested on Solaris 10 Sparc with Sun Studio 12. First I get
>> two warnings:
>> 
>>  cc: Warning: illegal option -fdiagnostics-show-option
>>  cc: Warning: illegal option -funit-at-a-time
>> 
>> Maybe these should only be added when gcc is detected?
> 
> I don't observe these warnings on my Solaris 10 sparc with Sun Studio
> 12.  (Specifically, this box is patched up through October 15, and is
> running Sun C 5.12 SunOS_sparc 2011/11/16.)  I configured with
> './configure CC=cc'.
> 
> I suspect you configured with --enable-gcc-warnings.  If so, that's
> probably the problem -- that option is intended for use with GCC,
> and might not work with Sun C.

Nope, but we are using git to apply our downstream patches. You may
have a deja vu ;-)
  http://lists.gnu.org/archive/html/bug-gnulib/2013-09/msg00058.html

>> Two tests are failing....
>> 
>>> FAIL: ere
>>> =========
>>> ...
>>> ere.script: syntax error at line 3: `status=$' unexpected
>>> ...
>>> FAIL: spencer1-locale
>>> =====================
>>> ...
>>> spencer1-locale.script: syntax error at line 2: `status=$' unexpected
> 
> I think these failures are due to the build-tool problem that I mentioned in
> <http://lists.gnu.org/archive/html/bug-grep/2013-10/msg00047.html>.
> 'configure' is selecting /bin/sh, but on Solaris 10 it should
> select /bin/bash.  It's then getting confused by the $(...)
> syntax, which is not supported by /bin/sh on Solaris 10.

Yes, exactly.

Best regards

  -- Dago

-- 
"You don't become great by trying to be great, you become great by wanting to do something,
and then doing it so hard that you become great in the process." - xkcd #896